Search Avatars
Search and list avatars by query filters. Without marketplace, you can only search your own or featured avatars.
Authorization
authCookie Auth Token via Cookie
In: cookie
Query Parameters
Filters on featured results.
The sort order of the results.
"_created_at" | "_updated_at" | "contains" | "countMonthlySales" | "created" | "exact" | "listingDate" | "name" | "order" | "performance" | "random" | "relevance" | "shuffle" | "trendRank" | "updated"Set to me for searching own avatars.
Filter by UserID.
The number of objects to return.
601 <= value <= 100Result ordering
"descending""ascending" | "descending"A zero-based offset from the default object sorting from where search results start.
0 <= valueTags to include (comma-separated). Any of the tags needs to be present.
1 <= lengthTags to exclude (comma-separated).
1 <= lengthFilter by ReleaseStatus.
"public""all" | "hidden" | "private" | "public"The maximum Unity version supported by the asset.
The minimum Unity version supported by the asset.
The platform the asset supports.
Not quite sure what this actually does (exists on the website but doesn't seem to be used)
Search avatars listed in the marketplace.
"all" | "free" | "paid"Text to search for. Requires marketplace.
Wrap the results in an AvatarList.
0 <= value <= 5Response Body
application/json
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/avatars"[
{
"acknowledgements": "string",
"activeAssetReviewId": "string",
"assetUrl": "string",
"assetUrlObject": {},
"attribution": {},
"authorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
"authorName": "string",
"created_at": "2019-08-24T14:15:22Z",
"description": "string",
"featured": false,
"highestPrice": 0,
"id": "avtr_912d66a4-4714-43b8-8407-7de2cafbf55b",
"imageUrl": "string",
"listingDate": "string",
"lock": true,
"lowestPrice": 0,
"name": "string",
"pendingUpload": false,
"performance": {
"android": "Excellent",
"android-sort": 0,
"ios": "Excellent",
"ios-sort": 0,
"standalonewindows": "Excellent",
"standalonewindows-sort": 0
},
"productId": "string",
"publishedListings": [
{
"description": "string",
"displayName": "string",
"imageId": "string",
"listingId": "string",
"listingType": "duration",
"priceTokens": 0
}
],
"releaseStatus": "public",
"searchable": false,
"styles": {
"primary": "string",
"secondary": "string",
"supplementary": [
"string"
]
},
"tags": [
"string"
],
"thumbnailImageUrl": "string",
"unityPackageUrl": "string",
"unityPackageUrlObject": {
"unityPackageUrl": "string"
},
"unityPackages": [
{
"assetUrl": "https://api.vrchat.cloud/api/1/file/file_cd0caa7b-69ba-4715-8dfe-7d667a9d2537/65/file",
"assetUrlObject": {},
"assetVersion": 4,
"created_at": "2020-09-10T06:13:27.777Z",
"id": "unp_52b12c39-4163-457d-a4a9-630e7aff1bff",
"impostorUrl": "string",
"impostorizerVersion": "0.17.0",
"performanceRating": "Excellent",
"platform": "standalonewindows",
"pluginUrl": "",
"pluginUrlObject": {},
"scanStatus": "failed",
"transpilerVersion": "1.0.0",
"unitySortNumber": 20180414000,
"unityVersion": "2022.3.6f1",
"variant": "string",
"worldSignature": "AHiPAWerwCpeYrxDthF5TU2SdUWEWnm43UAn8PKRXlS8k8tVRQ=="
}
],
"updated_at": "2019-08-24T14:15:22Z",
"version": 68
}
]{
"error": {
"message": "imageUrl must be a URL˸ 'string'‚ assetUrl must be a URL˸ 'string'",
"status_code": 400
}
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}